#!/usr/bin/make -f
#
# $Id: Makefile,v 1.7 2002-04-03 15:04:59 cartho Exp $
#

.PHONY: all ps pdf clean

# --- programs
TEX=latex
PSNUP=psnup
PS2PDF=ps2pdf
DVIPS=dvips
DVIPDF=dvipdf
FIG2DEV=fig2dev
MV=mv
DOT=dot

# --- options

VPPDEST=hge27

# --- files

FILENAME=serial
EPS = cyclic.eps

# ---------------------------------------------------------------------

all:	$(EPS) appendix.tex $(FILENAME).dvi

ps:	$(FILENAME).ps

pdf:	$(FILENAME).pdf

# --- generic rules

%.eps: %.fig
	$(FIG2DEV) -L eps <$*.fig >$@

%.eps: %.dot
	$(DOT) -Tps $*.dot -o $@

%.dvi: %.tex
	$(TEX) $*.tex 
	$(TEX) $*.tex
	$(TEX) $*.tex

%.ps:	$(FILENAME).dvi
	$(DVIPS) -f $*.dvi >$@	

%.pdf:	$(FILENAME).dvi
	$(DVIPDF) -f $*.dvi >$@

%.pdf:	$(FILENAME).ps
	$(PS2PDF) $*.dvi >$@

# --- specific rules

runclean:
	rm -f $(FILENAME).log $(FILENAME).aux $(FILENAME).toc
	rm -f texput.log appendix.aux ebnf.aux style.aux core

figclean:	
	rm -f $(EPS)

clean:	runclean figclean
	rm -f $(FILENAME).dvi $(FILENAME).ps $(FILENAME).pdf 
	rm -f appendix.tex

vpp:	#
	vpp -dest=$(VPPDEST) -dev=pts -fo=longbind $(FILENAME).ps

psnup:	#
	$(PSNUP) -2 $(FILENAME).ps >$(FILENAME)a.ps
	$(MV) $(FILENAME)a.ps $(FILENAME).ps

# --- appendix stuff

appendix: appendix.tex

appendix.tex:
	rm -f appendix.tex
	perl genappendix.pl >appendix.tex
	
